﻿#pragma once
/** Includes for Domain types **/
#include <Ice/BuiltinSequences.ice>
#include <Training/CoreDto.generated.ice>
#include <Training/ChargeTestResultEnumsDto.generated.ice>
#include <Training/ParticleUniformityEnumsDto.generated.ice>

module Training {
	module ServiceContracts {
		module DataTransferObject {
			// Create the class for the DTO
			["clr:property"] 
			class ChargeInfoDto  
			{
				string \ChargeId;
				int \Thickness1;
				int \Thickness2;
				int \Thickness3;
				int \Thickness4;
				int \Thickness5;
				int \Thickness6;
				int \Thickness7;
				int \Thickness8;
				int \Tolerance;
				int \Square;
				string \Remark;
				int \ParticleQuantity;
				Training::ServiceContracts::DataTransferObject::ChargeTestResultDto \TestResult;
				Core::Contracts::DataTransferObject::DateTimeDto \TestingTime;
				int \GlassType;
				int \Thickness;
				string \Username;
				string \Flatness;
				Training::ServiceContracts::DataTransferObject::ParticleUniformityDto \Uniformity;
				int \Luminosity;
			};

		};
	};
};
	
 
