﻿#pragma once
/** out Includes for Domain types **/
#include <Ice/BuiltinSequences.ice>
#include <Training/CoreDto.generated.ice>
/** include all Dtos and Enums **/
#include <Training/IncludeDtos.generated.ice>

module Training{
  module ServiceContracts{
    module Interfaces{
    /**
    * WebCharge service
    **/
    interface TrainingService {
    /**
    * Get the Service Version
    * @returns The service version
    **/
    idempotent Core::Contracts::DataTransferObject::VersionDto GetVersion() throws CommunicationException;

    /**
    * Reads an ChargeInfo object from the database    
    * @returns The read object dto
    **/
	idempotent Training::ServiceContracts::DataTransferObject::ChargeInfoDto ReadChargeInfo(string charge);
};
};
};
};