﻿#pragma once
/** Includes for Domain types **/
#include <Ice/BuiltinSequences.ice>
#include <Training/CoreDto.generated.ice>

module Training {
	module ServiceContracts {
		module DataTransferObject {
			// Create the class for the DTO
			["clr:property"] 
			class ChargeDto  
			{
				int \OrderNumber;
				int \Item;
				int \Subitem;
				int \PartNumber;
				string \LabelNumber;
				int \ProcessingNumber;
				Core::Contracts::DataTransferObject::DecimalDto \ArticleNumber;
				int \RegistrationPointNumber;
				Core::Contracts::DataTransferObject::DateTimeDto \ProcessingTime;
				string \ChargeId;
				int \Transfer;
				Core::Contracts::DataTransferObject::DateTimeDto \TransferTime;
				int \SQuantity;
			};

		};
	};
};
	
 
